Bug 121884 - Installer traceback
Installer traceback
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-28 16:52 EDT by Amdawi
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 14:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amdawi 2004-04-28 16:52:24 EDT
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 761, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 157, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 225, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/autopart.py", line 1293, in doAutoPartition
    doPartitioning(diskset, partitions, doRefresh = 0)
  File "/usr/lib/anaconda/autopart.py", line 967, in doPartitioning
    (ret, msg) = processPartitioning(diskset, requests, newParts)
  File "/usr/lib/anaconda/autopart.py", line 911, in 
processPartitioning
    ret = fitSized(diskset, requests, 1, newParts)
  File "/usr/lib/anaconda/autopart.py", line 316, in fitSized
    disk = diskset.disks[drive]
KeyError: hda

Local variables in innermost frame:
newParts: 
bootreq: New Part Request -- mountpoint: / uniqueID: 2
  type: ext3  format: 1  badblocks: None
  device: None drive: ['hda']  primary: None
  size: 10000  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
largestPart: (0, None)
request: New Part Request -- mountpoint: / uniqueID: 2
  type: ext3  format: 1  badblocks: None
  device: None drive: ['hda']  primary: None
  size: 10000  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
number: [0]
free: {'hdb': [<PedPartition object at 0x8465ec0>]}
drive: hda
numDrives: 0
num: 0
diskset: <partedUtils.DiskSet instance at 0x8810764>
isBoot: 1
drives: ['hda']
todo: {0: [<partRequests.PartitionSpec instance at 0x87f493c>]}
requests: <partitions.Partitions instance at 0x8457e9c>
primOnly: 1


Dispatcher instance, containing members:
method: CdromInstallMethod instance, containing members:
  messageWindow: <bound method InstallInterface.messageWindow of 
<gui.InstallInterface instance at 0x872566c>>
  loopbackFile: None
  progressWindow: <bound method InstallInterface.progressWindow of 
<gui.InstallInterface instance at 0x872566c>>
  device: hdd
  timestamp: 1056416098
  tree: /mnt/source
  rootPath: /mnt/sysimage
  currentDisc: [1, 2, 3]
step: 12
intf: InstallInterface instance, containing members:
  icw: InstallControlWindow instance, containing members:
    displayHelp: 1
    stockButtons: (('gtk-go-back', 'prevButtonStock', '_Back', <bound 
method InstallControlWindow.prevClicked of <gui.InstallControlWindow 
instance at 0x871ebcc>>), ('gtk-go-
forward', 'nextButtonStock', '_Next', <bound method 
InstallControlWindow.nextClicked of <gui.InstallControlWindow 
instance at 0x871ebcc>>), ('gtk-new', 'releaseButton', '_Release 
Notes', <bound method InstallControlWindow.releaseClicked of 
<gui.InstallControlWindow instance at 0x871ebcc>>), ('gtk-
help', 'showHelpButton', 'Show _Help', <bound method 
InstallControlWindow.helpClicked of <gui.InstallControlWindow 
instance at 0x871ebcc>>), ('gtk-help', 'hideHelpButton', 'Hide 
_Help', <bound method InstallControlWindow.helpClicked of 
<gui.InstallControlWindow instance at 0x871ebcc>>), ('gtk-
execute', 'debugButton', '_Debug', <bound method 
InstallControlWindow.debugClicked of <gui.InstallControlWindow 
instance at 0x871ebcc>>))
    handle: 7
    help: <TextViewBrowser object (GtkTextView) at 0x87f9df4>
    buttonBox: <gtk.HButtonBox object (GtkHButtonBox) at 0x8331274>
    hideHelpButton: <gtk.Button object (GtkButton) at 0x88238b4>
    nextButtonStock: <gtk.Button object (GtkButton) at 0x8812da4>
    help_sw: <gtk.ScrolledWindow object (GtkScrolledWindow) at 
0x883519c>
    dispatch: Already dumped
    reloadRcQueued: 0
    ii: Already dumped
    currentWindow: MouseWindow instance, containing members:
      currentMouse: Generic - Wheel Mouse (PS/2)
      ignoreEvents: 0
      mouseview: <gtk.TreeView object (GtkTreeView) at 0x8674adc>
      emulate3: <gtk.CheckButton object (GtkCheckButton) at 0x83d5b5c>
      mousestore: <gtk.TreeStore object (GtkTreeStore) at 0x867403c>
      devstore: <gtk.ListStore object (GtkListStore) at 0x881d0dc>
      availableMice: {'Generic - 2 Button Mouse (USB)': 
('imps2', 'IMPS/2', 'input/mice', 1, 'genericusb'), 'Microsoft - 
IntelliMouse (serial)': ('ms3', 'IntelliMouse', 'ttyS', 
0, 'msintelli'), 'Microsoft - IntelliMouse (USB)': 
('ps/2', 'IMPS/2', 'input/mice', 0, 'msintelliusb'), 'Logitech - 
MouseMan+/FirstMouse+ (PS/2)': ('ps/2', 'MouseManPlusPS/2', 'psaux', 
0, 'logimman+ps/2'), 'Sun - Mouse': ('sun', 'sun', 'sunmouse', 
0, 'sun'), 'Logitech - MouseMan+/FirstMouse+ (serial)': 
('pnp', 'IntelliMouse', 'ttyS', 0, 'logimman+'), 'Generic - 3 Button 
Mouse (USB)': ('imps2', 'IMPS/2', 'input/mice', 
0, 'generic3usb'), 'ATI - Bus Mouse': 
('Busmouse', 'BusMouse', 'atibm', 1, 'atibm'), 'Microsoft - Bus 
Mouse': ('Busmouse', 'BusMouse', 'inportbm', 1, 'msbm'), 'ASCII - 
MieMouse (PS/2)': ('ps/2', 'NetMousePS/2', 'psaux', 
1, 'asciips/2'), 'Microsoft - Compatible Mouse (serial)': 
('Microsoft', 'Microsoft', 'ttyS', 1, 'microsoft'), 'No - mouse': 
('none', 'none', None, 0, 'none'), 'Genius - NetMouse (PS/2)': 
('netmouse', 'NetMousePS/2', 'psaux', 1, 'geniusnmps/2'), 'Generic - 
3 Button Mouse (serial)': ('Microsoft', 'Microsoft', 'ttyS', 
0, 'generic3'), 'Kensington - Thinking Mouse (serial)': 
('Microsoft', 'ThinkingMouse', 'ttyS', 1, 'thinking'), 'Logitech - 
Bus Mouse': ('Busmouse', 'BusMouse', 'logibm', 0, 'logibm'), 'Genius -
 NetMouse Pro (PS/2)': ('netmouse', 'NetMousePS/2', 'psaux', 
1, 'geniusprops/2'), 'Logitech - MouseMan/FirstMouse (serial)': 
('MouseMan', 'MouseMan', 'ttyS', 0, 'logimman'), 'Genius - NetScroll 
(PS/2)': ('netmouse', 'NetScrollPS/2', 'psaux', 
1, 'geniusscrollps/2'), 'Genius - NetScroll+ (PS/2)': 
('netmouse', 'NetMousePS/2', 'psaux', 
0, 'geniusscrollps/2+'), 'Generic - Wheel Mouse (USB)': 
('imps2', 'IMPS/2', 'input/mice', 0, 'genericwheelusb'), 'Generic - 
Wheel Mouse (PS/2)': ('imps2', 'IMPS/2', 'psaux', 
0, 'genericwheelps/2'), 'ALPS - GlidePoint (PS/2)': 
('ps/2', 'GlidePointPS/2', 'psaux', 1, 'alpsps/2'), 'Generic - 2 
Button Mouse (serial)': ('Microsoft', 'Microsoft', 'ttyS', 
1, 'generic'), 'Mouse Systems - Mouse (serial)': 
('MouseSystems', 'MouseSystems', 'ttyS', 
1, 'mousesystems'), 'Generic - 2 Button Mouse (PS/2)': 
('ps/2', 'PS/2', 'psaux', 1, 'genericps/2'), 'Kensington - Thinking 
Mouse (PS/2)': ('ps/2', 'ThinkingMousePS/2', 'psaux', 
1, 'thinkingps/2'), 'Logitech - MouseMan Wheel (USB)': 
('ps/2', 'IMPS/2', 'input/mice', 0, 'logimmusb'), 'Logitech - CC 
Series (serial)': ('logim', 'MouseMan', 'ttyS', 
0, 'logitechcc'), 'MM - Series (serial)': 
('MMSeries', 'MMSeries', 'ttyS', 1, 'mmseries'), 'Generic - 3 Button 
Mouse (PS/2)': ('ps/2', 'PS/2', 'psaux', 
0, 'generic3ps/2'), 'Logitech - MouseMan/FirstMouse (PS/2)': 
('ps/2', 'PS/2', 'psaux', 0, 'logimmanps/2'), 'MM - HitTablet 
(serial)': ('MMHitTab', 'MMHittab', 'ttyS', 1, 'mmhittab'), 'Genius - 
NetMouse (serial)': ('ms3', 'IntelliMouse', 'ttyS', 
1, 'geniusnm'), 'ASCII - MieMouse (serial)': 
('ms3', 'IntelliMouse', 'ttyS', 0, 'ascii'), 'Logitech - C7 Mouse 
(serial, old C7 type)': ('Logitech', 'Logitech', 'ttyS', 
0, 'logitech'), 'Microsoft - IntelliMouse (PS/2)': 
('imps2', 'IMPS/2', 'psaux', 0, 'msintellips/2'), 'Microsoft - Rev 
2.1A or higher (serial)': ('pnp', 'Auto', 'ttyS', 1, 'msnew')}
      devview: <gtk.TreeView object (GtkTreeView) at 0x85b01a4>
      flags: Flags instance, containing members:
        flags: {'test': 0, 'setupFilesystems': 1, 'serial': 
0, 'expert': 0, 'autostep': 0}
      serialDevice: None
      ics: InstallControlState instance, containing members:
        nextButtonLabel: None
        helpButtonEnabled: 1
        searchPath: 
('/mnt/source/RHupdates', './', '/usr/share/anaconda/')
        prevButtonLabel: None
        grabNext: 0
        title: Mouse Configuration
        nextButtonInfo: None
        prevEnabled: 0
        html: 
        helpEnabled: 3
        nextEnabled: 1
        htmlFile: mouse
        prevButton: gtk-prev
        cw: Already dumped
        nextButton: gtk-next
      mouse: FULLNAME="Generic - Wheel Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"

    installFrame: <gtk.Frame object (GtkFrame) at 0x82fb474>
    debugButton: <gtk.Button object (GtkButton) at 0x87ee664>
    table: <gtk.Table object (GtkTable) at 0x885914c>
    releaseButton: <gtk.Button object (GtkButton) at 0x8813094>
    hbox: <gtk.HBox object (GtkHBox) at 0x87f9d0c>
    box: <gtk.VBox object (GtkVBox) at 0x8835464>
    helpFrame: <gtk.Frame object (GtkFrame) at 0x8825d54>
    windowList: []
    window: <gtk.Window object (GtkWindow) at 0x8725694>
    langSearchPath: [en_US.UTF-8, en_US, en, C]
    showHelpButton: <gtk.Button object (GtkButton) at 0x873860c>
    helpState: 1
    releaseNotesBuffer: <gtk.TextBuffer object (GtkTextBuffer) at 
0x8807b1c>
    bin: <gtk.Frame object (GtkFrame) at 0x87454b4>
    prevButtonStock: <gtk.Button object (GtkButton) at 0x8446394>
    configFileData: {'TitleBar': 
pixmaps/anaconda_header.png, 'Title': TechnoInfosys Linux SBS 
2004, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.png}
    buff: None
  runres: 800x600
  dispatch: Already dumped
flags: Already dumped
dispatch: Already dumped
instPath: /mnt/sysimage
firstStep: 0
id: InstallData instance, containing members:
  compspkg: None
  dbpath: None
  firewall: Firewall instance, containing members:
    ftp: 0
    http: 0
    portlist: 
    enabled: 0
    telnet: 0
    custom: 1
    ssh: 0
    policy: 0
    dhcp: 0
    smtp: 0
    trustdevs: []
    ports: []
  upgradeSwapInfo: None
  rootParts: None
  upgradeInfoFound: None
  hdList: None
  auth: Authentication instance, containing members:
    hesiodLhs: 
    useKrb5: 0
    nisuseBroadcast: 0
    useShadow: 1
    sambaServer: 
    krb5Realm: 
    nisDomain: 
    sambaWorkgroup: 
    ldapTLS: 0
    useMD5: 1
    useSamba: 0
    ldapBasedn: 
    krb5Admin: 
    enableCache: 0
    useLdapauth: 0
    hesiodRhs: 
    ldapServer: 
    useHesiod: 0
    krb5Kdc: 
    useLdap: 0
    nisServer: 
    useNIS: 0
  upgradeRoot: None
  xsetup: XSetup instance, containing members:
    skipx: 0
    imposed_sane_default: 0
    xhwstate: XF86HardwareState instance, containing members:
      videocard_driver: nv
      all_resolutions: [640x480, 800x600, 1024x768, 1152x864, 
1280x960, 1280x1024, 1400x1050, 1600x1200, 1920x1440]
      monitor: monName: StudioWorks
monID: DDCPROBED
monHoriz: 30-70
monVert: 50-160
physicalWidth: 330
physicalHeight: 250

      probed_physical_height: 250
      videocard_name: RIVA TNT2
      probed_vsync: 50-160
      resolution: 800x600
      video_ram: 0
      videocard: primary: 0
vidCards: [<rhpl.videocard.VideoCard instance at 0x878cbcc>]
Primary Video Card Info:
device: fb0
descr : nVidia Corporation|NV5M64 [RIVA TNT2 Model 64/Model 64 Pro]
server: XFree86
cardManf: None
vidRam: 32768
carddata: {'CHIPSET': 'RIVATNT2', 'DRIVER': 'nv', 'NAME': 'RIVA 
TNT2', 'NOCLOCKPROBE': ''}
devID: RIVA TNT2
fbmodes: None
fbbpp: None

      physical_width: 330
      videocard_options: []
      probed_hsync: 30-70
      hsync: 30-70
      probed_physical_width: 330
      vsync: 50-160
      probed_video_ram: 32768
      physical_height: 250
      colordepth: 16
      monitor_name: StudioWorks
      dri_enabled: 0
  dependencies: []
  accounts: None
  fsset: FileSystemSet instance, containing members:
    messageWindow: <bound method InstallInterface.messageWindow of 
<gui.InstallInterface instance at 0x872566c>>
    waitWindow: <bound method InstallInterface.waitWindow of 
<gui.InstallInterface instance at 0x872566c>>
    mountcount: 0
    entries: [fsentry -- device: none   mountpoint: /dev/pts
           fsystem: devpts format: 0
           ismounted: 0 

, fsentry -- device: none   mountpoint: /proc
           fsystem: proc format: 0
           ismounted: 0 

]
    progressWindow: <bound method InstallInterface.progressWindow of 
<gui.InstallInterface instance at 0x872566c>>
    migratedfs: 0
  keyboard: Keyboard instance, containing members:
    info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
    modelDict: {'gr': 
['Greek', 'el,us', 'pc105', '', 'grp:shift_toggle,grp_led:scroll'], 's
peakup': ['Speakup', 'us', 'pc105', '', ''], 'ru-cp1251': ['Russian 
(cp1251)', 'ru,us', 'pc105', '', 'grp:shift_toggle,grp_led:scroll'], '
sv-latin1': ['Swedish', 'se', 'pc105', '', ''], 'speakup-lt': 
['Speakup (laptop)', 'us', 'pc105', '', ''], 'cf': ['French 
Canadian', 'ca_enhanced', 'pc105', '', ''], 'fr_CH-latin1': ['Swiss 
French (latin1)', 'fr_CH', 'pc105', '', ''], 'fr-pc': ['French 
(pc)', 'fr', 'pc105', '', ''], 'ru-ms': ['Russian 
(Microsoft)', 'ru,us', 'pc105', '', 'grp:shift_toggle,grp_led:scroll']
, 'sk-qwerty': ['Slovakian', 'sk_qwerty', 'pc105', '', ''], 'ru2': 
['Russian 
(ru2)', 'ru,us', 'pc105', '', 'grp:shift_toggle,grp_led:scroll'], 'et'
: ['Estonian', 'ee', 'pc105', '', ''], 'ru1': ['Russian 
(ru1)', 'ru,us', 'pc105', '', 'grp:shift_toggle,grp_led:scroll'], 'es'
: ['Spanish', 'es', 'pc105', '', ''], 'it-ibm': ['Italian 
(IBM)', 'it', 'pc105', '', ''], 'ru': 
['Russian', 'ru,us', 'pc105', '', 'grp:shift_toggle,grp_led:scroll'], 
'fr-latin1': ['French (latin1)', 'fr', 'pc105', '', ''], 'no': 
['Norwegian', 'no', 'pc105', '', ''], 'de-latin1-nodeadkeys': 
['German (latin1 w/ no 
deadkeys)', 'de', 'pc105', 'nodeadkeys', ''], 'ru_win': ['Russian 
(win)', 'ru,us', 'pc105', '', 'grp:shift_toggle,grp_led:scroll'], 'ua'
: 
['Ukrainian', 'ua,us', 'pc105', '', 'grp:shift_toggle,grp_led:scroll']
, 'pt-latin1': ['Portuguese', 'pt', 'pc105', '', ''], 'it': 
['Italian', 'it', 'pc105', '', ''], 'de-latin1': ['German 
(latin1)', 'de', 'pc105', '', ''], 'fr': 
['French', 'fr', 'pc105', '', ''], 'pl': 
['Polish', 'pl', 'pc105', '', ''], 'cz-lat2': 
['Czechoslovakian', 'cz_qwerty', 'pc105', '', ''], 'dk-latin1': 
['Danish (latin1)', 'dk', 'pc105', '', ''], 'bg': 
['Bulgarian', 'bg,us', 'pc105', '', 'grp:shift_toggle,grp_led:scroll']
, 'dk': ['Danish', 'dk', 'pc105', '', ''], 'be-latin1': ['Belgian (be-
latin1)', 'be', 'pc105', '', ''], 'br-abnt2': ['Brazilian 
(ABNT2)', 'br', 'abnt2', '', ''], 'sg-latin1': ['Swiss German 
(latin1)', 'de_CH', 'pc105', '', ''], 'fr-latin0': ['French 
(latin0)', 'fr', 'pc105', '', ''], 'de': 
['German', 'de', 'pc105', '', ''], 'hu': 
['Hungarian', 'hu', 'pc105', '', ''], 'jp106': 
['Japanese', 'jp', 'jp106', '', ''], 'us-acentos': ['U.S. 
International', 'us_intl', 'pc105', '', ''], 'fr_CH': ['Swiss 
French', 'fr_CH', 'pc105', '', ''], 'fi': 
['Finnish', 'fi', 'pc105', '', ''], 'dvorak': 
['Dvorak', 'dvorak', 'pc105', '', ''], 'it2': ['Italian 
(it2)', 'it', 'pc105', '', ''], 'fi-latin1': ['Finnish 
(latin1)', 'fi', 'pc105', '', ''], 'ro_win': 
['Romanian', 'ro', 'pc105', '', ''], 'hu101': ['Hungarian (101 
key)', 'hu', 'pc105', '', ''], 'slovene': 
['Slovenian', 'si', 'pc105', '', ''], 'no-latin1': ['Norwegian 
(latin1)', 'no', 'pc105', '', ''], 'us': ['U.S. 
English', 'us', 'pc105', '', ''], 'la-latin1': ['Latin 
American', 'la', 'pc105', '', ''], 'is-latin1': 
['Icelandic', 'is', 'pc105', '', ''], 'cz-us-qwertz': 
['Czechoslovakian (qwertz)', 'cz', 'pc105', '', ''], 'uk': ['United 
Kingdom', 'gb', 'pc105', '', ''], 'trq': 
['Turkish', 'tr', 'pc105', '', ''], 'mk-utf': 
['Macedonian', 'mk,us', 'pc105', '', 'grp:shift_toggle,grp_led:scroll'
], 'sg': ['Swiss German', 'de_CH', 'pc105', '', '']}
    type: PC
    beenset: 1
  timezone: Timezone instance, containing members:
    utc: 0
    utcOffset: 0
    arc: 0
    tz: Asia/Calcutta
    dst: 0
  bootloader: x86BootloaderInfo instance, containing members:
    kickstart: 0
    doUpgradeOnly: 0
    useLinear: 1
    defaultDevice: mbr
    useGrubVal: 1
    args: KernelArguments instance, containing members:
      args: 
    kernelLocation: /boot/
    images: BootImages instance, containing members:
      default: None
      images: {}
    configfile: /etc/lilo.conf
    above1024: 0
    serialOptions: None
    pure: None
    serialDevice: None
    device: None
    drivelist: [hdb]
    serial: 0
    password: None
    forceLBA32: 0
  mouse: Already dumped
  extraModules: []
  network: Network instance, containing members:
    domains: []
    isConfigured: 0
    overrideDHCPhostname: 0
    netdevices: {}
    primaryNS: 
    hostname: localhost.localdomain
    secondaryNS: 
    gateway: 
    ternaryNS: 
  instClass: KickstartBase instance, containing members:
    groupList: [Dialup Networking Support]
    packageList: [busybox, libxslt, XFree86-base-fonts, redhat-config-
printer, xinetd, symlinks, XFree86-twm, alchemist, XFree86-ISO8859-14-
100dpi-fonts, perl-XML-Parser, mysql-devel, libbonoboui, m4, mozilla, 
mc, samba-swat, sendmail-cf, XFree86-75dpi-fonts, ncurses4, routed, 
pyorbit, switchdesk, fonts-ISO8859-2-100dpi, Glide3, fam, mars-nwe, 
perl-Time-HiRes, bonobo-conf, mysql-server, PyXML, XFree86-libs, 
foomatic, ghostscript, gnome-mime-data, libdbi, ipxutils, 
libart_lgpl, sharutils, VFlib2, atk, php-mysql, gimp-print-plugin, 
fetchmail, XFree86-ISO8859-9-75dpi-fonts, ORBit, perl-DBD-MySQL, 
compat-libgcj, gimp-print, php-ldap, comps, gdk-pixbuf, desktop-file-
utils, gdm, libbonobo, perl-XML-Twig, fontconfig, perl-XML-Dumper, 
patch, pygtk2-libglade, indexhtml, libpng, perl-DateManip, perl-URI, 
sysstat, freetype-demos, mod_perl, bridge-utils, redhat-config-
printer-gui, libpng10, imap, busybox-anaconda, tripwire, libxml, 
gimp, fonts-ISO8859-2, cups-libs, spamassassin, mysql, bonobo-
activation, GConf2, XFree86, ttmkfdir, libdbi-dbd-mysql, perl-libwww-
perl, freetype-utils, dialog, gnome-python2-gtkhtml2, shapecfg, 
GConf, libmng, sane-backends, php-snmp, XFree86-truetype-fonts, 
iscsi, XFree86-ISO8859-14-75dpi-fonts, xinitrc, curl, elinks, libgsf, 
perl-libxml-perl, ncompress, libgnomecanvas, icewm, audiofile, perl-
HTML-Tagset, XFree86-cyrillic-fonts, gd, XFree86-libs-data, XFree86-
Xnest, gtk2, gtk+, usbview, scrollkeeper, libgnomeui, librsvg2, nmap, 
httpd, sane-frontends, XFree86-tools, htmlview, xsri, imlib, gnome-
libs, mod_ssl, gnome-vfs2, pine, fonts-ISO8859-2-75dpi, XFree86-
syriac-fonts, openoffice-libs, caching-nameserver, bind, sgml-common, 
kbd, libglade2, sendmail-devel, pango, libjpeg, bonobo, XFree86-Mesa-
libGL, dhcp, openjade, perl-Parse-Yapp, XFree86-ISO8859-15-75dpi-
fonts, perl-XML-Encoding, XFree86-ISO8859-2-100dpi-fonts, XFree86-
xdm, gnome-python2, compat-db, pygtk2, open, urw-fonts, libusb, perl-
HTML-Parser, mdadm, docbook-dtds, gtkhtml2, net-snmp, perl-libxml-
enno, samba-client, mozilla-nspr, gail, libIDL, linc, freetype, 
pnm2ppa, XFree86-Xvfb, qt, XFree86-100dpi-fonts, redhat-menus, 
ORBit2, libgnome, qt2, screen, XFree86-xauth, perl-XML-Grove, 
cdrecord, perl-DBI, Omni-foomatic, php-imap, php-odbc, esound, talk-
server, chkfontpath, libxml2, squid, mpage, perl-Net-DNS, XFree86-
ISO8859-9-100dpi-fonts, icewm-themes, unixODBC, mod_auth_mysql, php, 
xml-common, redhat-config-xfree86, samba, XFree86-Mesa-libGLU, 
intltool, vim-enhanced, iptraf, libgnomeprint15, libtiff, redhat-
artwork, libungif, XFree86-ISO8859-15-100dpi-fonts, unarj, gnome-
python2-bonobo, XFree86-xfs, perl-CGI, procinfo, compat-libstdc++, 
samba-common, oaf, XFree86-font-utils, Omni, XFree86-ISO8859-2-75dpi-
fonts, ghostscript-fonts, cpp, tcl]
    clearPartText: None
    showSteps: [bootloadersetup]
    ksVGMapping: {}
    excludedList: [cdrecord-devel, perl-DBD-Pg, vim-X11, netdump-
server, XFree86-devel, lrzsz, isdn4k-utils, vsftpd, squirrelmail, 
lilo, kernel-BOOT, qt-MySQL, php-devel, php-pgsql, finger-server, 
telnet-server, netdump, k12ltsp-release, hdparm, redhat-config-
rootpassword, cpio, MySQL-python, icewm-menu-gnome1, minicom]
    skipSteps: [language, languagesupport, keyboard, accounts, 
authentication, timezone, upgbootloader, bootloader, 
bootloaderadvanced, partition, partitionmethod, partitionmethodsetup, 
fdisk, fdasd, autopartition, partition, partitionmethod, 
partitionmethodsetup, fdisk, fdasd, autopartition, partition, 
partitionmethod, partitionmethodsetup, fdisk, fdasd, autopartition, 
package-selection]
    earlySwapOn: 1
    installType: install
    handleMissing: 0
    ksPVMapping: {}
    file: /tmp/ks.cfg
    postScripts: [(s: 'mkdir -p /mnt/source;mount -t 
iso9660 /tmp/cdrom /mnt/source|rm -
rf /mnt/sysimage/usr/share/gdm/themes/Bluecurve |rm -
rf /mnt/sysimage/boot/grub/splash.xpm.gz|rm -
rf /mnt/sysimage/etc/rc.d/rc2.d/S80sendmail|rm -
rf /mnt/sysimage/etc/rc.d/rc3.d/S80sendmail|rm -
rf /mnt/sysimage/etc/rc.d/rc4.d/S80sendmail|rm -
rf /mnt/sysimage/etc/rc.d/rc5.d/S80sendmail|cp  /mnt/source/technoinfo
sys/issue /mnt/sysimage/etc/issue|cp  /mnt/source/technoinfosys/issue.
net /mnt/sysimage/etc/issue.net|cp  /mnt/source/technoinfosys/rc.sysin
it /mnt/sysimage/etc/rc.d/rc.sysinit|cp  /mnt/source/technoinfosys/rc.
local_startup /mnt/sysimage/etc/rc.local|cp  -
Rf /mnt/source/technoinfosys/gdm /mnt/sysimage/usr/share/|cp -
Rf /mnt/source/technoinfosys/splash.xpm.gz /mnt/sysimage/boot/grub/|cp
 -
Rf /mnt/source/technoinfosys/grub1.conf /mnt/sysimage/boot/grub/|cat /
mnt/sysimage/boot/grub/grub.conf 
>> /mnt/sysimage/boot/grub/grub1.conf|cp -
Rf /mnt/sysimage/boot/grub/grub.conf /mnt/sysimage/boot/grub/grub2.con
f|cp -
Rf /mnt/sysimage/boot/grub/grub1.conf /mnt/sysimage/boot/grub/grub.con
f|cd /mnt/sysimage/usr/local/src/|mkdir /mnt/sysimage/usr/local/src/te
chnoinfosys|cd /mnt/sysimage/usr/local/src/technoinfosys/|cp -p -R -
f /mnt/source/technoinfosys/servermodules.img /mnt/sysimage/usr/local/
src/technoinfosys/servermodules.img|cd /mnt/sysimage/usr/local/src/tec
hnoinfosys/|tar 
xzvf /mnt/sysimage/usr/local/src/technoinfosys/servermodules.img|#cp -
pRf /mnt/sysimage/usr/local/src/technoinfosys/servermodules/rootdir/* 
/mnt/sysimage/|' i: /bin/sh c: 0)
]
    id: Already dumped
    ksRaidMapping: {}
    serial: 0
    preScripts: []
    ksID: 100000
    clearType: svr
    interactive: 0
  upgradeRemove: []
  upgrade: Boolean instance, containing members:
    val: 0
  monitor: Already dumped
  comps: None
  floppyDevice: fd0
  firstboot: 1
  methodstr: cdrom://hdd/mnt/source
  videocard: Already dumped
  desktop: Desktop instance, containing members:
    info: {}
    runlevel: 3
  instLanguage: InstallTimeLanguage instance, containing members:
    current: en_US.UTF-8
    map: {'Swedish': utf8, 'Danish': utf8, 'Icelandic': utf8, 'Chinese
(Simplified)': None, 'Norwegian': utf8, 'German': iso09, 'English': 
iso01, 'Japanese': None, 'French': utf8, 'Czech': utf8, 'Portuguese': 
utf8, 'Spanish': utf8, 'Dutch': utf8, 'Russian': koi8-r, 'Korean': 
None, 'Chinese(Traditional)': None, 'Portuguese(Brazilian)': 
utf8, 'Italian': utf8}
    tempDefault: 
    nativeLangNames: {'Swedish': Svenska, 'Danish': 
Dansk, 'Icelandic': Íslenska, 'Chinese(Simplified)': 简体中
文, 'Norwegian': Norsk, 'German': Deutsch, 'English': 
English, 'Japanese': 日本語, 'French': Français, 'Czech': 
Čeština, 'Portuguese': Português, 'Spanish': Español, 'Dutch': 
Nederlands, 'Russian': Русский, 'Korean': 한국어, 'Chinese
(Traditional)': 繁體中文, 'Portuguese(Brazilian)': Português 
(Brasil), 'Italian': Italiano}
    langList: [Chinese(Simplified), Chinese(Traditional), Czech, 
Danish, Dutch, English, French, German, Icelandic, Italian, Japanese, 
Korean, Norwegian, Portuguese, Portuguese(Brazilian), Russian, 
Spanish, Swedish]
    runtimeLangs: {'no_NO.UTF-8': no_NO.UTF-8, 'zh_CN.UTF-8': 
zh_CN.GB18030, 'ko_KR.UTF-8': ko_KR.eucKR, 'is_IS.UTF-8': is_IS.UTF-
8, 'zh_TW.UTF-8': zh_TW.Big5, 'de_DE.UTF-8': de_DE.UTF-8, 'ja_JP.UTF-
8': ja_JP.eucJP, 'cs_CZ.UTF-8': cs_CZ.UTF-8, 'en_US.UTF-8': en_US.UTF-
8, 'da_DK.UTF-8': da_DK.UTF-8, 'ru_RU.UTF-8': ru_RU.UTF-8, 'sv_SE.UTF-
8': sv_SE.UTF-8, 'pt_PT.UTF-8': pt_PT.UTF-8, 'nl_NL.UTF-8': nl_NL.UTF-
8, 'fr_FR.UTF-8': fr_FR.UTF-8, 'it_IT.UTF-8': it_IT.UTF-8, 'pt_BR.UTF-
8': pt_BR.UTF-8, 'es_ES.UTF-8': es_ES.UTF-8}
    langNicks: {'Swedish': sv_SE.UTF-8, 'Danish': da_DK.UTF-
8, 'Icelandic': is_IS.UTF-8, 'Chinese(Simplified)': 
zh_CN.GB18030, 'Norwegian': no_NO.UTF-8, 'German': de_DE.UTF-
8, 'English': en_US.UTF-8, 'Japanese': ja_JP.eucJP, 'French': 
fr_FR.UTF-8, 'Czech': cs_CZ.UTF-8, 'Portuguese': pt_PT.UTF-
8, 'Spanish': es_ES.UTF-8, 'Dutch': nl_NL.UTF-8, 'Russian': ru_RU.UTF-
8, 'Korean': ko_KR.eucKR, 'Chinese(Traditional)': 
zh_TW.Big5, 'Portuguese(Brazilian)': pt_BR.UTF-8, 'Italian': 
it_IT.UTF-8}
    font: {'Swedish': latarcyrheb-sun16, 'Danish': latarcyrheb-
sun16, 'Icelandic': latarcyrheb-sun16, 'Chinese(Simplified)': 
bterm, 'Norwegian': latarcyrheb-sun16, 'German': latarcyrheb-
sun16, 'English': latarcyrheb-sun16, 'Japanese': bterm, 'French': 
latarcyrheb-sun16, 'Czech': latarcyrheb-sun16, 'Portuguese': 
latarcyrheb-sun16, 'Spanish': latarcyrheb-sun16, 'Dutch': latarcyrheb-
sun16, 'Russian': latarcyrheb-sun16, 'Korean': bterm, 'Chinese
(Traditional)': bterm, 'Portuguese(Brazilian)': latarcyrheb-
sun16, 'Italian': latarcyrheb-sun16}
    kbd: {'Swedish': se-latin1, 'Danish': us, 'Icelandic': is-
latin1, 'Chinese(Simplified)': us, 'Norwegian': no-latin1, 'German': 
de-latin1-nodeadkeys, 'English': us, 'Japanese': jp106, 'French': fr-
latin1, 'Czech': cz-lat2, 'Portuguese': pt-latin1, 'Spanish': 
es, 'Dutch': us, 'Russian': ru, 'Korean': us, 'Chinese(Traditional)': 
us, 'Portuguese(Brazilian)': pt-latin1, 'Italian': it}
    tz: {'Swedish': Europe/Stockholm, 'Danish': 
Europe/Copenhagen, 'Icelandic': Atlantic/Reykjavik, 'Chinese
(Simplified)': Asia/Shanghai, 'Norwegian': Europe/Oslo, 'German': 
Europe/Berlin, 'English': America/New_York, 'Japanese': 
Asia/Tokyo, 'French': Europe/Paris, 'Czech': 
Europe/Prague, 'Portuguese': Europe/Lisbon, 'Spanish': 
Europe/Madrid, 'Dutch': Europe/Amsterdam, 'Russian': 
Europe/Moscow, 'Korean': Asia/Seoul, 'Chinese(Traditional)': 
Asia/Taipei, 'Portuguese(Brazilian)': America/Sao_Paulo, 'Italian': 
Europe/Rome}
  tmpData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': 
TechnoInfosys Linux SBS 2004, 'Splashscreen': 
pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.png}
  diskset: DiskSet instance, containing members:
    disks: {'hdb': <PedDisk object at 0x83ce508>}
  rootPassword: None
  handleDeps: 0
  langSupport: Language instance, containing members:
    info: {'LANG': en_US.UTF-8, 'SYSFONT': latarcyrheb-
sun16, 'SUPPORTED': en_US.UTF-8:en_US:en}
    langInfoByName: {'Manx Gaelic (Britain)': ('gv_GB.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Icelandic': ('is_IS.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Sudan)': ('ar_SD.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Estonian': ('et_EE.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Turkish': ('tr_TR.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Catalan (Spain)': ('ca_ES.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'English (Australia)': ('en_AU.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'English (Hong Kong)': ('en_HK.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'German (Switzerland)': ('de_CH.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Nicaragua)': ('es_NI.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Uruguay)': ('es_UY.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Slovenian (Slovenia)': ('sl_SI.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'German (Germany)': ('de_DE.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'English (Canada)': ('en_CA.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'French (Canada)': ('fr_CA.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Dominican Republic)': 
('es_DO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Saudi 
Arabia)': ('ar_SA.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Swedish 
(Finland)': ('sv_FI.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'French 
(Luxemburg)': ('fr_LU.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Vietnamese': ('vi_VN.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Dutch (Netherlands)': ('nl_NL.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Bulgarian': ('bg_BG.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'English (Ireland)': ('en_IE.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Arabic (Egypt)': ('ar_EG.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Hungarian': ('hu_HU.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Basque (Spain)': ('eu_ES.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Chinese (Hong Kong)': ('zh_HK.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Arabic (Yemen)': ('ar_YE.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Lithuanian': ('lt_LT.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Arabic (Bahrein)': ('ar_BH.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Breton (France)': ('br_FR', '8859-15', 'lat0-
sun16'), 'English (Zimbabwe)': ('en_ZW.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Ukrainian': ('uk_UA.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Norwegian, Nynorsk (Norway)': ('nn_NO.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Russian': ('ru_RU.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Serbian (Yugoslavia)': ('sr_YU.UTF-
8@cyrillic', 'utf8', 'latarcyrheb-sun16'), 'English (Botswana)': 
('en_BW.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Venezuela)': 
('es_VE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Chile)': 
('es_CL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Dutch (Belgium)': 
('nl_BE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Iraq)': 
('ar_IQ.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Swedish (Sweden)': 
('sv_SE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Russian (Ukraine)': 
('ru_UA.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Finnish': ('fi_FI.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Occitan (France)': ('oc_FR', '8859-
15', 'lat0-sun16'), 'Albanian': ('sq_AL.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'German (Luxemburg)': ('de_LU.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'German (Belgium)': ('de_BE.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Spanish (USA)': ('es_US.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Italian (Switzerland)': ('it_CH.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Jordan)': ('ar_JO.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Thai': ('th_TH.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Urdu (Pakistan)': ('ur_PK.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Irish': ('ga_IE.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'English (Singapore)': ('en_SG.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'English (Great Britain)': 
('en_GB.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Syrian Arab 
Republic)': ('ar_SY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Chinese 
(P.R. of China)': ('zh_CN.GB18030', '8859-15', 'lat0-
sun16'), 'Belarusian': ('be_BY.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Spanish (Spain)': ('es_ES.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Macedonian': ('mk_MK.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Slovak': ('sk_SK.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Polish': ('pl_PL.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Portuguese (Brasil)': ('pt_BR.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Spanish (Panama)': ('es_PA.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Spanish (Puerto Rico)': ('es_PR.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'English (USA)': ('en_US.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Hebrew (Israel)': ('he_IL.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Hindi (India)': ('hi_IN.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Romanian': ('ro_RO.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'English (Denmark)': ('en_DK.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Uzbek (Uzbekistan)': 
('uz_UZ', '8859-15', 'lat0-sun16'), 'Telgu (India)': ('te_IN.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (United Arab Emirates)': 
('ar_AE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Cornish (Britain)': 
('kw_GB.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Bolivia)': 
('es_BO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (New 
Zealand)': ('en_NZ.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Galician 
(Spain)': ('gl_ES.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Latvian 
(Latvia)': ('lv_LV.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Czech': 
('cs_CZ.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Danish': ('da_DK.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Indonesian': ('id_ID.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Algeria)': ('ar_DZ.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'English (Philippines)': 
('en_PH.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (India)': 
('ar_IN.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Persian (Iran)': 
('fa_IR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Morocco)': 
('ar_MA.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Norwegian': 
('no_NO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Afrikaans (South 
Africa)': ('af_ZA', '8859-15', 'lat0-sun16'), 'Spanish (Paraguay)': 
('es_PY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Faroese (Faroe 
Islands)': ('fo_FO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Bosnian 
(Bosnia and Herzegowina)': ('bs_BA', '8859-2', 'lat2-sun16'), 'Arabic 
(Lebanon)': ('ar_LB.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Tagalog 
(Philippines)': ('tl_PH', '8859-15', 'lat0-sun16'), 'Spanish (Costa 
Rica)': ('es_CR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic 
(Tunisia)': ('ar_TN.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Northern 
Saami (Norway)': ('se_NO.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'English (India)': ('en_IN.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Chinese (Taiwan)': ('zh_TW.Big5', '8859-15', 'lat0-
sun16'), 'Spanish (Honduras)': ('es_HN.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Spanish (Ecuador)': ('es_EC.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Spanish (El Salvador)': ('es_SV.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Greek': ('el_GR.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Mexico)': ('es_MX.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Tamil (India)': ('ta_IN.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Peru)': ('es_PE.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Korean (Republic of Korea)': 
('ko_KR.eucKR', '8859-15', 'lat0-sun16'), 'French (Belgium)': 
('fr_BE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Greenlandic 
(Greenland)': ('kl_GL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'French 
(France)': ('fr_FR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Croatian': 
('hr_HR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Marathi (India)': 
('mr_IN.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'French (Switzerland)': 
('fr_CH.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Qatar)': 
('ar_QA.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (South 
Africa)': ('en_ZA.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic 
(Kuwait)': ('ar_KW.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Maltese 
(malta)': ('mt_MT.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Portuguese 
(Portugal)': ('pt_PT.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Japanese': ('ja_JP.eucJP', '8859-15', 'lat0-
sun16'), 'Arabic (Oman)': ('ar_OM.UTF-8', 'utf8', 'latarcyrheb-
sun16'), 'Arabic (Libyan Arab Jamahiriya)': ('ar_LY.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Malay (Malaysia)': ('ms_MY.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Guatemala)': ('es_GT.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'German (Austria)': ('de_AT.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Italian (Italy)': ('it_IT.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Colombia)': ('es_CO.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Argentina)': ('es_AR.UTF-
8', 'utf8', 'latarcyrheb-sun16'), 'Walloon (Belgium)': 
('wa_BE.iso885915@euro', '8859-15', 'lat0-sun16')}
    langList: None
    default: English (USA)
    langNicks: None
    supported: [English (USA)]
    allSupportedLangs: None
  partitions: Partitions instance, containing members:
    useFdisk: 0
    useAutopartitioning: 1
    autoClearPartType: 2
    nextUniqueID: 5
    reinitializeDisks: 1
    autoClearPartDrives: None
    zeroMbr: 0
    isKickstart: 1
    requests: [New Part Request -- mountpoint: / uniqueID: 2
  type: ext3  format: 1  badblocks: None
  device: None drive: ['hda']  primary: None
  size: 10000  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: None
      migrate: None
      origfstype: None
      primary: None
      fstype: None
      preexist: 1
      dev: None
      uniqueID: 1
      device: hdb-1
      mountpoint: None
      requestSize: 38162.1884766
      maxSizeMB: None
      size: 38162.1884766
      end: 78156224
      drive: hdb
      fslabel: None
      grow: 0
      start: 63
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, New Part Request -- mountpoint: /home uniqueID: 3
  type: ext3  format: 1  badblocks: None
  device: None drive: ['hda']  primary: None
  size: 1100  grow: 1  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: None uniqueID: 4
  type: swap  format: 1  badblocks: None
  device: None drive: ['hda']  primary: None
  size: 80  grow: 1  maxsize: 800
  start: None  end: None  migrate: None  origfstype: None
]
    autoPartitionRequests: [New Part Request -- mountpoint: / 
uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: ['hda']  primary: None
  size: 10000  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: /home uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: ['hda']  primary: None
  size: 1100  grow: 1  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: None uniqueID: None
  type: swap  format: 1  badblocks: None
  device: None drive: ['hda']  primary: None
  size: 80  grow: 1  maxsize: 800
  start: None  end: None  migrate: None  origfstype: None
]
    deletes: []
  upgradeDeps: 
  configFileData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': 
TechnoInfosys Linux SBS 2004, 'Splashscreen': 
pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.png}
  x_already_set: 0
dir: 1
skipSteps: {'upgrademigfind': 1, 'firewall': 1, 'languagesupport': 
1, 'confirmupgrade': 1, 'welcome': 1, 'desktopchoice': 
1, 'bootloaderadvanced': 1, 'betanag': 1, 'partitionmethodsetup': 
1, 'installtype': 1, 'accounts': 1, 'makebootdisk': 1, 'keyboard': 
1, 'timezone': 1, 'indivpackage': 1, 'upgrademount': 
1, 'upgrademigratefs': 1, 'upgbootloader': 1, 'confirminstall': 
1, 'upgradecontinue': 1, 'bootloader': 1, 'addswap': 
1, 'findrootparts': 1, 'findinstall': 1, 'language': 
1, 'upgradeswapsuggestion': 1, 'autopartition': 1, 'partition': 
1, 'fdasd': 1, 'package-selection': 1, 'network': 
1, 'authentication': 1, 'findpackages': 1, 'fdisk': 
1, 'partitionmethod': 1, 'bootdisk': 1}


/tmp/syslog:
<4>Linux version 2.4.20-8BOOT (bhcompile@porky.devel.redhat.com) (gcc 
version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)) #1 Thu Mar 13 
17:31:38 EST 2003
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
<4> BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 000000001fff0000 (usable)
<4> BIOS-e820: 000000001fff0000 - 000000001fff3000 (ACPI NVS)
<4> BIOS-e820: 000000001fff3000 - 0000000020000000 (ACPI data)
<4> BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
<5>0MB HIGHMEM available.
<5>511MB LOWMEM available.
<4>On node 0 totalpages: 131056
<4>zone(0): 4096 pages.
<4>zone(1): 126960 pages.
<4>zone(2): 0 pages.
<4>Kernel command line: initrd=initrd.img ks=cdrom:/isolinux/ks.cfg 
BOOT_IMAGE=vmlinuz 
<6>Initializing CPU#0
<4>Detected 1680.852 MHz processor.
<4>Console: colour VGA+ 80x25
<4>Calibrating delay loop... 3355.44 BogoMIPS
<6>Memory: 509716k/524224k available (1209k kernel code, 11944k 
reserved, 350k data, 104k init, 0k highmem)
<6>Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
<6>Inode cache hash table entries: 32768 (order: 6, 262144 bytes)
<6>Mount cache hash table entries: 512 (order: 0, 4096 bytes)
<4>Buffer-cache hash table entries: 32768 (order: 5, 131072 bytes)
<4>Page-cache hash table entries: 131072 (order: 7, 524288 bytes)
<6>CPU: Trace cache: 12K uops, L1 D cache: 8K
<6>CPU: L2 cache: 256K
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<7>CPU:     After generic, caps: 3febf9ff 00000000 00000000 00000000
<7>CPU:             Common caps: 3febf9ff 00000000 00000000 00000000
<4>CPU: Intel(R) Pentium(R) 4 CPU 1700MHz stepping 0a
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Checking 'hlt' instruction... OK.
<6>Checking for popad bug... OK.
<4>POSIX conformance testing by UNIFIX
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
<4>mtrr: detected mtrr type: Intel
<6>PCI: PCI BIOS revision 2.10 entry at 0xfb170, last bus=2
<6>PCI: Using configuration type 1
<6>PCI: Probing PCI hardware
<4>Transparent bridge - PCI device 8086:244e
<6>PCI: Using IRQ router PIIX [8086/2440] at 00:1f.0
<6>Linux NET4.0 for Linux 2.4
<6>Based upon Swansea University Computer Society NET3.039
<4>Initializing RT netlink socket
<6>BIOS EDD facility v0.09 2003-Jan-22, 1 devices found
<4>Starting kswapd
<4>pty: 256 Unix98 ptys configured
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ 
SERIAL_PCI enabled
<6>ttyS0 at 0x03f8 (irq = 4) is a 16550A
<6>ttyS1 at 0x02f8 (irq = 3) is a 16550A
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<6>NET4: Frame Diverter 0.46
<4>RAMDISK driver initialized: 16 RAM disks of 8192K size 1024 
blocksize
<6>loop: loaded (max 8 devices)
<6>Uniform Multi-Platform E-IDE driver Revision: 7.00beta-2.4
<6>ide: Assuming 33MHz system bus speed for PIO modes; override with 
idebus=xx
<6>ICH2: IDE controller at PCI slot 00:1f.1
<6>ICH2: chipset revision 4
<6>ICH2: not 100% native mode: will probe irqs later
<6>    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:pio, hdb:DMA
<6>    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:pio, hdd:DMA
<4>hdb: C/H/S=0/0/0 from BIOS ignored
<4>hdb: WDC WD400BB-00DKA0, ATA DISK drive
<4>blk: queue c02f52a4, I/O limit 4095Mb (mask 0xffffffff)
<4>hdd: CD-540E, ATAPI CD/DVD-ROM drive
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>ide1 at 0x170-0x177,0x376 on irq 15
<4>hdb: host protected area => 1
<6>hdb: 78165360 sectors (40021 MB) w/2048KiB Cache, CHS=4865/255/63, 
UDMA(33)
<4>hdd: ATAPI 40X CD-ROM drive, 128kB Cache
<6>Uniform CD-ROM driver Revision: 3.12
<4>ide-floppy driver 0.99.newide
<6>Partition check:
<6> hdb:
<4>ide-floppy driver 0.99.newide
<6>usb.c: registered new driver usbdevfs
<6>usb.c: registered new driver hub
<6>usb-uhci.c: $Revision: 1.275 $ time 17:33:52 Mar 13 2003
<6>usb-uhci.c: High bandwidth mode enabled
<6>PCI: Found IRQ 11 for device 00:1f.2
<7>PCI: Setting latency timer of device 00:1f.2 to 64
<6>usb-uhci.c: USB UHCI at I/O 0xd000, IRQ 11
<4>usb-uhci.c: Detected 2 ports
<6>usb.c: new USB bus registered, assigned bus number 1
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>PCI: Found IRQ 11 for device 00:1f.4
<7>PCI: Setting latency timer of device 00:1f.4 to 64
<6>usb-uhci.c: USB UHCI at I/O 0xd800, IRQ 11
<4>usb-uhci.c: Detected 2 ports
<6>usb.c: new USB bus registered, assigned bus number 2
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
<6>usb.c: registered new driver hiddev
<6>usb.c: registered new driver hid
<6>hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
<6>hid-core.c: USB HID support drivers
<6>mice: PS/2 mouse device common for all mice
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>md: Autodetecting RAID arrays.
<6>md: autorun ...
<6>md: ... autorun DONE.
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP Protocols: ICMP, UDP, TCP
<6>IP: routing cache hash table of 4096 buckets, 32Kbytes
<6>TCP: Hash tables configured (established 32768 bind 65536)
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
<5>RAMDISK: Compressed image found at block 0
<6>Freeing initrd memory: 2640k freed
<4>EXT2-fs warning: checktime reached, running e2fsck is recommended
<4>VFS: Mounted root (ext2 filesystem).
<7>vga16fb: initializing
<6>vga16fb: mapped to 0xc00a0000
<4>Console: switching to colour frame buffer device 80x30
<6>fb0: VGA16 VGA frame buffer device
<6>SCSI subsystem driver Revision: 1.00
<6>8139too Fast Ethernet driver 0.9.26
<6>PCI: Found IRQ 11 for device 02:04.0
<6>PCI: Sharing IRQ 11 with 00:1f.3
<6>PCI: Sharing IRQ 11 with 00:1f.5
<7>divert: allocating divert_blk for eth0
<6>eth0: RealTek RTL8139 Fast Ethernet at 0xe086a000, 
00:50:fc:91:21:04, IRQ 11
<7>eth0:  Identified 8139 chip type 'RTL-8139C'
<4>FAT: bogus logical sector size 0
<4>VFS: Can't find a valid FAT filesystem on dev 16:40.
<4>VFS: Can't find ext2 filesystem on dev ide1(22,64).
<7>ISO 9660 Extensions: RRIP_1991A
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop(7,0).
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs     :  1951.600 MB/sec
<4>   32regs    :  1172.000 MB/sec
<4>   8regs_prefetch:  1970.000 MB/sec
<4>   32regs_prefetch:  1142.800 MB/sec
<4>   pII_mmx   :  1940.400 MB/sec
<4>   p5_mmx    :  1960.800 MB/sec
<4>raid5: using function: 8regs_prefetch (1970.000 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>Journalled Block Device driver loaded
<6>LVM version 1.0.5+(22/07/2002) module loaded
<6>parport0: PC-style at 0x378 (0x778) [PCSPP(,...)]
<6>parport0: irq 7 detected


/tmp/anaconda.log:
* modules to insert fbcon-vga-planes vga16fb
* loaded fbcon-vga-planes from /modules/modules.cgz
* loaded vga16fb from /modules/modules.cgz
* inserted /tmp/fbcon-vga-planes.o
* inserted /tmp/vga16fb.o
* load module set done
* 514536 kB are available
* modules to insert cramfs vfat sunrpc lockd nfs loop
* loaded sunrpc from /modules/modules.cgz
* loaded lockd from /modules/modules.cgz
* loaded nfs from /modules/modules.cgz
* module(s) cramfs vfat loop not found
* inserted /tmp/sunrpc.o
* inserted /tmp/lockd.o
* inserted /tmp/nfs.o
* load module set done
* modules to insert ide-cd
* module(s) ide-cd not found
* load module set done
* modules to insert scsi_mod sd_mod sr_mod
* loaded scsi_mod from /modules/modules.cgz
* loaded sd_mod from /modules/modules.cgz
* loaded sr_mod from /modules/modules.cgz
* inserted /tmp/scsi_mod.o
* inserted /tmp/sd_mod.o
* inserted /tmp/sr_mod.o
* load module set done
* looking for usb controllers
* found USB controller usb-uhci
* modules to insert usb-uhci
* module(s) usb-uhci not found
* load module set done
* found USB controller usb-uhci
* modules to insert usb-uhci
* module(s) usb-uhci not found
* load module set done
* waiting for usb to become stable...
* 2 seconds.
* modules to insert hid keybdev
* module(s) hid keybdev not found
* load module set done
* no firewire controller found
* no pcic controller found
* probing buses
* finished bus probing
* modules to insert mii 8139too usb-uhci
* loaded mii from /modules/modules.cgz
* loaded 8139too from /modules/modules.cgz
* module(s) usb-uhci not found
* inserted /tmp/mii.o
* inserted /tmp/8139too.o
* load module set done
* getting kickstart file
* getting kickstart file from first CDROM
* getKickstartFromBlockDevice(hdd, /isolinux/ks.cfg)
* Searching for ks file on path /tmp/ks//isolinux/ks.cfg
* kickstart file copied to /tmp/ks.cfg
* setting up kickstart
* kickstartFromCD
* probing buses
* finished bus probing
* modules to insert usb-uhci
* module(s) usb-uhci not found
* load module set done
* going to set language to en_US.UTF-8
* setting language to en_US.UTF-8
* starting to STEP_URL
* trying to mount device hdd
* mntloop loop0 on /mnt/runtime as /mnt/source/RedHat/base/stage2.img 
fd is 12
* got url cdrom://hdd/mnt/source
* getting ready to spawn shell now
* modules to insert ide-cd
* module(s) ide-cd not found
* load module set done
* modules to insert
* load module set done
* probing buses
* finished bus probing
* modules to insert agpgart usb-uhci
* module(s) agpgart usb-uhci not found
* load module set done
* looking for video cards requiring agpgart module
* found video card controller unknown
* modules to insert raid0 raid1 xor raid5 msdos jbd ext3 reiserfs jfs 
xfs lvm-mod
* loaded raid0 from /mnt/runtime/modules/modules.cgz
* loaded raid1 from /mnt/runtime/modules/modules.cgz
* loaded xor from /mnt/runtime/modules/modules.cgz
* loaded raid5 from /mnt/runtime/modules/modules.cgz
* loaded msdos from /mnt/runtime/modules/modules.cgz
* loaded jbd from /mnt/runtime/modules/modules.cgz
* loaded ext3 from /mnt/runtime/modules/modules.cgz
* loaded reiserfs from /mnt/runtime/modules/modules.cgz
* loaded jfs from /mnt/runtime/modules/modules.cgz
* loaded lvm-mod from /mnt/runtime/modules/modules.cgz
* module(s) xfs not found
* inserted /tmp/raid0.o
* inserted /tmp/raid1.o
* inserted /tmp/xor.o
* inserted /tmp/raid5.o
* inserted /tmp/msdos.o
* inserted /tmp/jbd.o
* inserted /tmp/ext3.o
* inserted /tmp/reiserfs.o
* inserted /tmp/jfs.o
* inserted /tmp/lvm-mod.o
* load module set done
* loading parallel port drivers...
* modules to insert parport parport_pc
* loaded parport from /mnt/runtime/modules/modules.cgz
* loaded parport_pc from /mnt/runtime/modules/modules.cgz
* inserted /tmp/parport.o
* inserted /tmp/parport_pc.o
* load module set done
* looking for USB mouse...
* Running anaconda script /usr/bin/anaconda
* Started mini-wm
* anaconda floppy device fd0
* Running kickstart %pre script(s)
* All kickstart %pre script(s) have been run
* running ['/usr/X11R6/bin/setxkbmap', '-layout', 'us', '-
model', 'pc105', '-option', '']
* moving (1) to step mouse
* moving (1) to step partitionobjinit
* moving (1) to step autopartitionexecute
* going to mount /tmp/fd0 on /tmp/crash


/tmp/lvmout:
vgchange -- no volume groups found

 "/etc/lvmtab.d"
vgscan -- creating empty "/etc/lvmtab" and "/etc/lvmtab.d"
vgscan -- reading all physical volumes (this may take a while...)
vgscan -- "/etc/lvmtab" and "/etc/lvmtab.d" successfully created
vgscan -- WARNING: This program does not do a VGDA backup of your 
volume group
Comment 1 David Lawrence 2004-06-17 11:43:41 EDT
Changing product and component so that proper developer will see this
report. Also changing to more meaningful summary.
Comment 2 Jeremy Katz 2004-10-07 14:07:48 EDT
Your ks.cfg specifies hda while your machine only has hdb.

Note You need to log in before you can comment on or make changes to this bug.